Skip to main content

getInflationGovernor

POST

Returns the current inflation governor
param[0]
configurationObjectobjectrequired
commitmentstring
The commitment describes how finalized a block is at that point in time.
  • finalized - the node will query the most recent block confirmed by supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized
  • confirmed - the node will query the most recent block that has been voted on by supermajority of the cluster.
  • processed - the node will query its most recent block. Note that the block may still be skipped by the cluster.
Responses
idinteger
The request ID
jsonrpcstring
The JSON-RPC version
foundationnumber
Percentage of total inflation allocated to the foundation
foundationTerminteger
Duration of foundation pool inflation in years
initialnumber
Initial inflation percentage from time 0
tapernumber
Rate per year at which inflation is lowered. (Rate reduction is derived using the target slot time in genesis config)
terminalnumber
Terminal inflation percentage
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "getInflationGovernor",
"params": [
{
"commitment": "finalized"
}
]
}'